=== debian/changelog ===
deepin-log-viewer (5.8.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 18 Feb 2022 10:07:44 +0800

deepin-log-viewer (5.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <zs@zs-PC.com>  Thu, 17 Oct 2019 16:57:59 +0800
