=== application/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,11 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")
 
+if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
+  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
+endif()
+
 set(APP_RES_DIR "assets")
 #-ldtkwidget -ldtkgui -ldtkcore
 if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
@@ -116,6 +121,7 @@
 find_package(Boost)
 find_package(XercesC)
 find_package(ZLIB)
+find_package(PolkitQt5-1)
 
 message("XercesC_FOUND ${XercesC_FOUND}")
 message("zlib version: " ${ZLIB_LIBRARIES})
@@ -180,6 +186,8 @@
      DebugTimeManager.cpp
      wtmpparse.cpp
      logdetailedit.cpp
+#     viewsortfilter.cpp
+     logallexportthread.cpp
     )
 set (APP_QRC_FILES
 assets/resources.qrc
@@ -211,6 +219,8 @@
     model/log_sort_filter_proxy_model.h
     dbusproxy/dldbusinterface.h
     dbusproxy/dldbushandler.h
+#    viewsortfilter.h
+    logallexportthread.h
     )
 
 # 5. 头文件
@@ -271,14 +281,3 @@
 foreach(_ts_file ${TS_FILES})
     execute_process(
         COMMAND ${LUPDATE_EXECUTABLE} -recursive ${CMAKE_SOURCE_DIR} -ts ${_ts_file})
-endforeach()
-#lupdate end
-
-file (GLOB APP_TS_FILES translations/*.ts)
-
-#Generate the qm file
-set(APP_TRANS_SCRIPT "${CMAKE_CURRENT_SOURCE_DIR}/translate_generation.sh")
-execute_process(COMMAND bash ${APP_TRANS_SCRIPT}
-    WORKING_DIRECTORY ${TS_DIR})
-qt5_create_translation(APP_QM_FILES ${APP_TS_FILES} ${APP_QM_FILES})
-
