=== debian/changelog ===
deepin-log-viewer (5.9.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 10 May 2022 17:19:57 +0800
