=== debian/control ===
Source: deepin-log-viewer
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper (>= 11),cmake, pkg-config, qtbase5-dev, qtchooser (>= 55-gc9562a1-1~),qt5-qmake, libdtkwidget-dev, libdtkgui-dev, qtbase5-private-dev, qttools5-dev-tools, libqt5svg5-dev, libsystemd-dev, libicu-dev, qttools5-dev, libdframeworkdbus-dev, libgtest-dev, libgmock-dev, libkf5codecs-dev, libzip-dev, libxerces-c-dev, libboost-dev, libminizip-dev, libfftw3-3, rapidjson-dev, libltdl-dev, libpolkit-qt5-1-dev
Standards-Version: 4.1.3

Package: deepin-log-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Log Viewer is a useful tool for viewing system logs.
 Log viewer is a tool that collects logs generated when an application
 is running, for example, logs generated when operating system and
 applications start up and run. You can do trouble-shooting and solve
 problems quickly by analyzing logs.
