=== debian/changelog ===
deepin-log-viewer (5.9.7-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Jul 2022 14:52:29 +0800
