=== debian/changelog ===
deepin-log-viewer (5.9.7+ds1-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Drop libfftw3-3 from B-D (Closes: #1025840).
    + Drop qtchooser from B-D.
  * d/watch: Update with dversionmangle.
  * d/copyright: Drop unused license.

 -- Arun Kumar Pariyar <arun@debian.org>  Sat, 17 Dec 2022 15:34:08 +0545

deepin-log-viewer (5.9.7+ds1-1) unstable; urgency=medium

  * New upstream releasel.
  * d/watch: Properly apply oversionmangle.
  * d/control: Drop build-dependency qtbase5-private-dev following
    upstream.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jul 2022 09:55:19 -0400

deepin-log-viewer (5.9.3+ds-1) unstable; urgency=medium

  [ Ma Aiguo ]
  * Initial packgage (Closes: #976243)

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Jun 2022 12:11:55 -0400
