=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
	  -DVERSION=$(DEB_VERSION_UPSTREAM) \
	  LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  $(NULL)

override_dh_auto_test-arch:
