## deepin-log-viewer 5.9.10

=== debian/changelog ===
deepin-log-viewer (5.9.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Aug 2022 09:13:05 +0800

deepin-log-viewer (5.2.0) unstable; urgency=medium

  * Initial release

 -- unknown <zs@zs-PC.com>  Thu, 17 Oct 2019 16:57:59 +0800
