## deepin-log-viewer 5.9.13

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 set(CMAKE_AUTORCC ON)
 #set(CMAKE_CXX_FLAGS "-g -Wall")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -ldtkwidget -ldtkgui -ldtkcore")#${EXE_NAME}
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-needed -fPIE")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -std=c++11")
 set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 #安全测试加固编译参数
@@ -191,6 +191,7 @@
      logdetailedit.cpp
 #     viewsortfilter.cpp
      logallexportthread.cpp
+     eventlogutils.cpp
     )
 set (APP_QRC_FILES
 assets/resources.qrc
@@ -224,6 +225,7 @@
     dbusproxy/dldbushandler.h
 #    viewsortfilter.h
     logallexportthread.h
+    eventlogutils.h
     )
 
 # 5. 头文件
@@ -279,5 +281,3 @@
 set(TS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../translations")
 set(TS_FILES
     "${TS_DIR}/${EXE_NAME}.ts"
-)
-find_program(LUPDATE_EXECUTABLE lupdate)
