=== debian/changelog ===
deepin-log-viewer (5.9.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Oct 2022 11:34:44 +0800
